<?php
  $Position   = '../';
  require_once($Position.'config/config.php');
  require_once($Position.'config/conexion.php');
  require_once($Position.'config/user.php');
  require_once($Position.'funciones/acces.php');
  require_once($Position.'funciones/logout.php');
  require_once($Position.'funciones/funciones.php');
	require_once($Position.'PhpExcel/Classes/PHPExcel.php');

	$Go = $_GET['Go'];
	if( $Go == '1' ){

		$archivo = "usuarios.xlsx";
		$inputFileType = PHPExcel_IOFactory::identify($archivo);
		$objReader = PHPExcel_IOFactory::createReader($inputFileType);
		$objPHPExcel = $objReader->load($archivo);
		$sheet = $objPHPExcel->getSheet(0);
		$highestRow = $sheet->getHighestRow();
		$highestColumn = $sheet->getHighestColumn();

		for ($row = 2; $row <= $highestRow; $row++){

				$Nombre 				= $sheet->getCell("A".$row)->getValue();
				$Apellidos 			= $sheet->getCell("B".$row)->getValue();
				$Celular 				= $sheet->getCell("I".$row)->getValue();
        $Email 					= $sheet->getCell("D".$row)->getValue();
				$FechaAlta			= $sheet->getCell("C".$row)->getValue();
        $FechaAlta      = rtrim($FechaAlta,' UTC');
        $Membresia  		= $sheet->getCell("J".$row)->getValue();
        $Pais  		      = $sheet->getCell("E".$row)->getValue();
        $Estado  		    = $sheet->getCell("G".$row)->getValue();
        $Localidad  		= $sheet->getCell("H".$row)->getValue();
				$Activo         = 1;

				if( $Nombre ){

					//Insertar Participantes
					echo $Query = "
	          INSERT INTO CMS_Usuarios
	          (
	            Celular, Email,
              Nombre, Apellidos,
              Fk_Pais, Fk_Estado, Localidad,
              FechaAlta, Membresia, Activo
	           )
	        	VALUES
	          (
	            '$Celular', '$Email',
              '$Nombre', '$Apellidos',
              '$Pais', '$Estado', '$Localidad',
              '$FechaAlta', '$Membresia', '$Activo'
	          )
	        ";
	        $Result = mysqli_query($mysqli, $Query);
					echo "<hr>";

				}

		}

		// echo '<script type="text/javascript">document.location.href="../index.php?Id='.$Id.'"</script>';

	}

?>
